Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class AttachmentInfo.Type

    java.lang.Object
      portlets.compoze.groupware.AttachmentInfo.Type

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AttachmentInfo

public static class AttachmentInfo.Type
extends java.lang.Object
implements java.io.Serializable

This class represents the attachment type.

See Also:
  Serialized Form

Field Summary
`static AttachmentInfo.Type` | `EMBEDDED_MESSAGE` This value represents the 'embedded message'.
`static AttachmentInfo.Type` | `FILE` This value represents the 'file'.
`static int` | `VALUE_EMBEDDED_MESSAGE` This value represents the 'embedded message' value.
`static int` | `VALUE_FILE` This value represents the 'file' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`int` | `getValue()` Gets the value of the type.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_FILE

    public static final int VALUE_FILE

  This value represents the 'file' value.

  See Also:
    Constant Field Values

### VALUE_EMBEDDED_MESSAGE

    public static final int VALUE_EMBEDDED_MESSAGE

  This value represents the 'embedded message' value.

  See Also:
    Constant Field Values

### FILE

    public static final AttachmentInfo.Type FILE

  This value represents the 'file'.

### EMBEDDED_MESSAGE

    public static final AttachmentInfo.Type EMBEDDED_MESSAGE

  This value represents the 'embedded message'.

Method Detail

### getValue

    public int getValue()

  Gets the value of the type.

  Returns:
    the value (see `VALUE_` constants)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

### toString

    public java.lang.String toString()

  Returns the string representation of this object.

  Returns:
    the string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.